#!/usr/bin/env python3

import glob
import os
import re
import sys

src_dir, src_ext, src_rm = sys.argv[1].split(':')
tgt_dir, tgt_ext = sys.argv[2].split(':')

src_files = glob.glob('{0}/*[!.{1}].{2}'.format(src_dir, src_rm, src_ext))

reload_files = []

for filename in src_files:
    if ' ' in filename:
        continue
    basename = filename.split('.')[0].rsplit('/', 1)[-1]
    tgt_file = '{0}/{1}.{2}'.format(tgt_dir, basename, tgt_ext)
    if os.path.exists(tgt_file):
        src_stat = os.stat(filename)
        tgt_stat = os.stat(tgt_file)
        if src_stat.st_mtime > tgt_stat.st_mtime:
            reload_files.append(tgt_file)
    else:
        reload_files.append(tgt_file)

print(' '.join(reload_files))
